test_gns_lookup.sh 1.0 KB

123456789101112131415161718192021222324252627282930313233
  1. #!/bin/bash
  2. trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
  3. LOCATION=$(which gnunet-config)
  4. if [ -z $LOCATION ]
  5. then
  6. LOCATION="gnunet-config"
  7. fi
  8. $LOCATION --version 1> /dev/null
  9. if test $? != 0
  10. then
  11. echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
  12. exit 77
  13. fi
  14. rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
  15. which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
  16. TEST_IP="127.0.0.1"
  17. gnunet-arm -s -c test_gns_lookup.conf
  18. gnunet-identity -C testego -c test_gns_lookup.conf
  19. gnunet-namestore -p -z testego -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
  20. RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.gnu -t A -c test_gns_lookup.conf`
  21. gnunet-namestore -z testego -d -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
  22. gnunet-identity -D testego -c test_gns_lookup.conf
  23. gnunet-arm -e -c test_gns_lookup.conf
  24. if [ "$RES_IP" == "$TEST_IP" ]
  25. then
  26. exit 0
  27. else
  28. echo "FAIL: Failed to resolve to proper IP, got $RES_IP."
  29. exit 1
  30. fi